The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от opennews (??) on 06-Сен-10, 21:45 
Спустя 7 месяцев с момента прошлого обновления устаревшей серии 2.4.x,  выпущено (http://lkml.org/lkml/2010/9/6/15) Linux-ядро 2.4.37.10 (http://www.kernel.org/pub/linux/kernel/v2.4/ChangeLog-2.4.37.10) в котором исправлено 9 критических ошибок, в основной массе связанных с проблемами безопасности:


-  Уязвимость в реализации файловой системы JFS найдена, позволяющая обойти заданные в списках доступа ограничения путем указания валидного xattr-имени с добавлением префикса "os2";
-   Возможность инициирования краха ядра через отправку специально оформленного SCTP-пакета;
-  Ошибка в коде функции "irda_bind()" может привести к разыменовании NULL-указателя при биндинге AF_IRDA-сокета.
-  Решение проблемы, связанной с утечкой сокетов при выполнении  irda_create;
-  Ошибка, приводящая к повреждению FAT-разделов;
-  Решение проблемы с MTU для интерфейсов TUN/TAP;

Выпуск 2.4.37.10 может оказаться последним релизом ветки 2.4.x. Так как ядро 2.6.x уже развивается на протяжении ...

URL: http://lkml.org/lkml/2010/9/6/15
Новость: https://www.opennet.ru/opennews/art.shtml?num=27869

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +4 +/
Сообщение от Аноним (??) on 06-Сен-10, 21:45 
как 2.6.*, стабильно? думаю, уже можно перебираться на него.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним email(??) on 06-Сен-10, 21:45 
Запоздали вы с обновлением, батенька!
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +2 +/
Сообщение от koblin (ok) on 06-Сен-10, 21:56 
я только на прошлой недели обновил на одном сервере rhel3 с ядром 2.4 до rhel4... работало себе
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

18. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +1 +/
Сообщение от anthonio (ok) on 07-Сен-10, 04:52 
> работало себе

Так зачем обновляли-то? :)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

19. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от koblin (ok) on 07-Сен-10, 08:29 
чтобы поставить новую версию специфичной софтины
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

21. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Andrey Mitrofanov on 07-Сен-10, 09:39 
>как 2.6.*, стабильно?

Как ты не в курсе?! В нём нашли уже все те же самые дыры!
Перебирайся на 0.0.1, оно уже 17 лет "стабильно".

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

37. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:23 
>как 2.6.*, стабильно?

Да, а еще пока вы спали в анабиозе - стало можно уже выбросить свой i386 SX 33 и перейти на что-то многоядерное с частотой более гигагерца да еще и 64-битное.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от DanteAligery email on 06-Сен-10, 21:53 
Давно уже пора было перебраться
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Sphynkx (ok) on 06-Сен-10, 22:05 
А в embedded-системах уже 2.6 везде?? А во всяческих дистрах для слабых/древних компов??
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от letsmac (ok) on 06-Сен-10, 22:08 
не везде точно. Но 70% встройки минимум перешло довольно давно. Из тех что вокруг меня крутились.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

23. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от savant (ok) on 07-Сен-10, 10:36 
немалая куча встройки еще работает на 2.4.x, причём x может быть достаточно древним.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

10. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Анонимиус on 06-Сен-10, 23:14 
>А во всяческих дистрах для слабых/древних компов??

Опять всплыла эта тупость. :Е Цифры, хде?!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

14. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от XoRe (ok) on 07-Сен-10, 00:28 
>А в embedded-системах уже 2.6 везде?? А во всяческих дистрах для слабых/древних
>компов??

Во всяких wifi роутерах ещё 2.4 навалом.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

16. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от uder (ok) on 07-Сен-10, 02:20 
Глядишь переедут на 2.6.

К слову, может подскажет кто девайс, на котором OpenWRT, как родная, то есть все работало без замены wifi карт и прочих шаманств. А то мой wl500 c прошивкой от oleg'а перестал утраивать.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

17. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от zsh (ok) on 07-Сен-10, 03:58 
В случае с роутерами дело не желании разработчиков, а в отсутствии блобов под 2.6 для некоторых моделей.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

22. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от uder (ok) on 07-Сен-10, 10:08 
>В случае с роутерами дело не желании разработчиков, а в отсутствии блобов
>под 2.6 для некоторых моделей.

ну так все этой новости, глядишь напишут блобы под 2.6

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

27. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 07-Сен-10, 11:53 
Блобы не нужны, юзайте нормальные роутеры.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

55. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от zsh (ok) on 09-Сен-10, 06:14 
>Блобы не нужны, юзайте нормальные роутеры.

Например?
Кроме того, на момент покупки моего asus wl-500w альтернативы с такой же стоимостью просто не было.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

58. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 10-Сен-10, 16:31 
Собрать самому на атеросе?


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

28. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от XoRe (ok) on 07-Сен-10, 12:04 
>Глядишь переедут на 2.6.
>
>К слову, может подскажет кто девайс, на котором OpenWRT, как родная, то
>есть все работало без замены wifi карт и прочих шаманств. А
>то мой wl500 c прошивкой от oleg'а перестал утраивать.

Могу порекомендовать посмотреть на железуи linksys.
Например, Linksys WAP54G.
linksys, конечно, подороже, чем asus.
Но если вас перестали устраивать прошивки wl500 с чистым линуксом на борту...
То пора и железку посерьёзнее выбирать)
Как вариант - ещё могу порекомендовать взять Asus eeepc 701 за 6 т.р.
Накатить на него любой linux или bsd.
И сделать себе мега роутер)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

34. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  –1 +/
Сообщение от dimqua (ok) on 07-Сен-10, 16:27 
>Как вариант - ещё могу порекомендовать взять Asus eeepc 701

Роутер на атоме? NO WAI

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

43. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 20:12 
> Как вариант - ещё могу порекомендовать взять Asus eeepc 701 за 6 т.р.

1) Делать из него роутер будет достаточно геморно.
2) Эзернетов у него аж 1 штука. А провода надежнее и предсказуемее. Включает сосед микроволновку или роутер и скорость вашего вайфай легко дохнет в 2 раза и пинг растет и пакеты теряются. А провода - им пофигу. Там 100 мбит и в африке 100 мбит. Точка доступа - максимум что светит. В силу кол-ва эзернетов.
4) Кстати даже точка доступа выйдет достаточно поганенькая. У ноута обычно встроенная антенна, которая разумеется не обладает хорошим усилением сигнала.
5) Габариты получатся довольно приличные.
6) Девайс с точно таким же функционалом (1 эзернет + вайфай) и более дальнобойным вайфай стоит едва ли $50 против ваших 200 уе. И уже настроен на работу в качестве роутера, снабжен удобной вебмордой и прочая. Вы сами будете до такого же состояния догонять вашу любмую систему полмесяца. Исключение разве что опенврт.

Вывод: а оно такое надо? Большая и жручая точка доступа по дикой цене. За 200 баксов можно купить топовый роутер с гигабитом, .n вайфаем и юсб.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

47. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от edo (ok) on 08-Сен-10, 10:19 
чем перестал устраивать?
может быть стоит сменить прошивку, а не роутер?
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

50. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от User294 (ok) on 08-Сен-10, 17:40 
>чем перестал устраивать?
>может быть стоит сменить прошивку, а не роутер?

Скоростью не устравивает, фигле. Процессор там далеко не предел мечтаний идиота и usb тормозной. Я себе сделал штуку на основе http://ubnt.com/routerstation (сейчас есть более интересная модель http://ubnt.com/rspro). Оно асуса по числокрушильной мощи делает раза в три (OpenSSL бенч например), без проблем роутит 100 мбит + симметричное 30 Мбит PPPoE имея неплохой запас при этом. И скорость работы юсб с диском упирается в пределы юсб, порядка 40 мегов в секунду (в 4 раза быстрее 500gp!). И радио я воткнул атеросовское .n, а не... :). В итоге получился забавный гибрид роутера, точки доступа и торентокачалки/простенькой файлопомойки. Который в разы лучше асуса по большинству параметров. Доставило изрядно - даже прямых аналогов в магазине до сих пор не вижу :). А openwrt дает непревзойденную свободу маневров. К слову плата стоила мне ~70 баксов, wi-fi сетевка ~20, винч ~80. Ну и там всякие антенны и хвостики для них с ебэя еще несколько уе. Это по прежнему чутка дешевле того чудика с асусом ЕЕЕ, но зато есть 3 эзернета, .n радио с хорошими внешними антеннами (7дБ), встроен винч на 500 гигз и там без геморроя запускается openwrt. И ни единого вентилятора во всей железке.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

38. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:37 
>А в embedded-системах уже 2.6 везде?? А во всяческих дистрах для слабых/древних
>компов??

Ну вот у них будет еще год на раздумья. Ну и хватит с них. Представьте себе если бы кто-то заливал в девайсы 4-ю или 5-ю фрб и хотел бы поддержки. Правильно - пусть кому оно надо тот и поддерживает этих ископаемых.


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

8. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от kae_wituS (ok) on 06-Сен-10, 23:04 
у нас на работе, до сих пор крутиться 2.4.17.* с редхардом:)
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

9. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от denis111 (ok) on 06-Сен-10, 23:13 
Ну у кого-то может и винда 98-я до сих пор крутитсья )))
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

13. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от XoRe (ok) on 07-Сен-10, 00:27 
>Ну у кого-то может и винда 98-я до сих пор крутитсья )))

Да и 95-я крутится до сих пор =)
http://3.bp.blogspot.com/_NkRBeJU0JXQ/SgPnOh1zd9I/AAAAAAAAAA...

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

15. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +7 +/
Сообщение от Аноним (??) on 07-Сен-10, 01:09 
Замазанный IP улыбнул XD
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

29. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  –1 +/
Сообщение от XoRe (ok) on 07-Сен-10, 12:05 
>Замазанный IP улыбнул XD

Паранойя для админа - это не баг, это фича =)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

25. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +1 +/
Сообщение от delirium (ok) on 07-Сен-10, 10:40 
ммм, какой секретный IP!
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

39. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:39 
>ммм, какой секретный IP!

наверное ссыкотненько что на нем проверят весь список дыр известных для 95 :)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

11. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 07-Сен-10, 00:10 
> Прекращение поддержки ветки 2.4.x

Наконец то. Сейчас даже OpenWRT на 2.6 перешла, а на слабом ПК, если руки прямые 2.6 тоже неплохо работает.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

24. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от savant (ok) on 07-Сен-10, 10:38 
>> Прекращение поддержки ветки 2.4.x
>
>Наконец то. Сейчас даже OpenWRT на 2.6 перешла, а на слабом ПК,
>если руки прямые 2.6 тоже неплохо работает.

Толстовато оно, ужать его в < 1.2 мегабайта мне не удалось, хотя как там дела с 2.4 я не знаю.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

26. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 07-Сен-10, 11:50 
Когда я последний раз собирал опенвту, то разница между 2.4 и 2.6 была где то 0,2 мб
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

31. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от pavlinux (ok) on 07-Сен-10, 16:24 
>>> Прекращение поддержки ветки 2.4.x
>>
>>Наконец то. Сейчас даже OpenWRT на 2.6 перешла, а на слабом ПК,
>>если руки прямые 2.6 тоже неплохо работает.
>
>Толстовато оно, ужать его в < 1.2 мегабайта мне не удалось, хотя
>как там дела с 2.4 я не знаю.

LZMA, LZO ?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

33. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 07-Сен-10, 16:26 
>LZMA, LZO ?

LZO жмет хуже других.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

44. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 20:29 
>LZMA, LZO ?

Ну ты и сравнил! LZMA жмет тормозно но сильно (на рыхлых данных может уделать zlib/inflate в разы). За счет больших словарей и прочая. В распаковке LZMA в меру шустр как и все LZ-based, но далеко не рекордсмен. Потребление памяти зависит от размера поюзанного словаря (при сжатии жрет несколько раз * размер словря, при распаковке - примерно размер словаря). LZO ориентирован на скорость распаковки и абсолютный минимум потребления памяти: распаковка LZO-потока не требует для себя памяти (нет словарного буфера, только входной и выходной которые еще и перекрываться могут к тому же) и для этого жертвует степенью сжатия (он несколько проигрывает zlib/inflate как правило). Использует небольшие словари и менее оптимальное кодирование выходного потока (с выравнванием на байты для ускорения разбора). Можешь сравнить LZO и UCL  например - это две либы одного и того же Маркуса Оберхамера (http://www.oberhumer.com/opensource/). Второй жмет лучше т.к. поток кодируется уже на битовом уровне, но и декомпрессуется помедленнее, т.к. разбор потока при декомпрессии требует операций над индивидуальными битами. А LZMA простите опосля сжатия LZом еще кодирует энтропию дополнительно, что разумеется еще более тормозно. Так что поздравляю с очередным сравнением карьерного самосвала и болида F1.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

45. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от pavlinux (ok) on 07-Сен-10, 21:11 
>>LZMA, LZO ?
>
> Так что поздравляю с очередным сравнением карьерного самосвала и болида F1.

Хвать флудить, теоретеги

CONFIG_HAVE_KERNEL_GZIP=y
CONFIG_HAVE_KERNEL_BZIP2=y
CONFIG_HAVE_KERNEL_LZMA=y
CONFIG_HAVE_KERNEL_LZO=y

и по очереди  

CONFIG_KERNEL_LZMA=y или
CONFIG_KERNEL_LZО=y или
CONFIG_KERNEL_BZIP2=y или
CONFIG_KERNEL_GZIP=y

там и узнаешь у кого длиннее ...... словарь

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

51. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от User294 (ok) on 08-Сен-10, 18:04 
Ты хочешь сказать что у тебя LZO жмет сильнее чем LZMA? Сказки это хорошо, но скорее всего как максимум ты всего лишь где-то облажался.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

52. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от pavlinux (ok) on 08-Сен-10, 19:07 
>Ты хочешь сказать что у тебя LZO жмет сильнее чем LZMA?

Всё что я хотел сказать, это то, что надо перепробовать все 4 штуки,
и выбрать самое тощее или самое быстрое.
Для тех кому пох... юзать GZIP и не забивать мозг.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

53. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 08-Сен-10, 22:50 
Две штуки достаточно. Если важна степень сжатия - LZMA (примерно на 33% сильнее Gzip), если важна скорость распаковки - LZO, Gzip - золотая середина. А bzip2 разве что жмет быстро, что же касается скорости распаковки и степени сжатия, то сливает LZMA (если верить тому, что сказано в menuconfig).
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

54. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от pavlinux (ok) on 09-Сен-10, 01:44 
>Две штуки достаточно. Если важна степень сжатия - LZMA (примерно на 33%
>сильнее Gzip), если важна скорость распаковки - LZO, Gzip - золотая
>середина. А bzip2 разве что жмет быстро, что же касается скорости
>распаковки и степени сжатия, то сливает LZMA (если верить тому, что
>сказано в menuconfig).

Хотите прикольнутся?! Во многих дистрибутивах, если не сказать что во всех,  
где initrd.img формируется автоматом, после make install, в каталоге с ядром
вы увидите следующие:

# file /boot/initrd.img-2.6.32.21

/boot/initrd.img-2.6.32.21 : *gzip* compressed data, from Unix, Sat Sep 4 15:28:06 2010, max compression

И Вам очень повезёт, если вы подберёте правильную версию lzop,
когда надумаете перепаковывать initrd. В LZMA вроде без проблем перепаковывает.

У меня lzop 1.01

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

56. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от dimqua (ok) on 09-Сен-10, 07:15 
Не юзаю initrd :)
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

57. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от pavlinux (ok) on 09-Сен-10, 12:23 
>Не юзаю initrd :)

Я тоже, но примерно раз в 3 года попадается какое нибудь гадкое устройство,
драйвер которого в ядре делает oops, а если модулем после init, то конфликт
прерываний или ресурсов. По этому оно любит грузится раньше всех.
Прим.: snd-intel8x0 для чипсета Nvidia CK804 (ака Nforce 4) (исправили, где-то в 2.6.24)

  

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

40. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:42 
>Наконец то. Сейчас даже OpenWRT на 2.6 перешла,

Она давно на него перешла, 2.4-е ядро таскали только для броадкомов с его проприетарными дровами в единственном таргете brcm-2.4. Кстати новой версии опенврты поддержка 2.4 ядра будет выпилена совсем. Благо открытый драйвер худо-бедно работает, ну и хватит с них.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

12. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +1 +/
Сообщение от аноним on 07-Сен-10, 00:19 
>Ошибка, приводящая к повреждению FAT-разделов;

это фича была!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

20. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +/
Сообщение от Аноним (??) on 07-Сен-10, 08:56 
11 сентября - магическая дата...
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

32. "Обновление Linux-ядра 2.4.37.10. Прекращение поддержки ветки..."  +3 +/
Сообщение от pavlinux (ok) on 07-Сен-10, 16:25 
>11 сентября - магическая дата...

У всех сносит башню, а то и две!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

30. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от ua9oas email on 07-Сен-10, 15:09 
  Интересно, а что будет собой представлять ветка 2.8 ? А то про планы на счет нее в последний раз я лишь весной видел и больше ничего нового в сети не нахожу.
  А обновления ветки 2.6 оно ухудшает или улучшает совместимость со старым железом? А то при каждом ее обновлении большое количество строк удаляется (но добавляется всегда больше. А то что удаляется это что, только устаревшее или нормальные компоненты для стараго железа тоже? Если в новом ядре чего то не хватает на старое железо то как тогда в него "добывать" то что нужно и "подгонять"? )
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

35. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от pavlinux (ok) on 07-Сен-10, 16:31 
>  Интересно, а что будет собой представлять ветка 2.8 ?

http://git.kernel.org/?p=linux/kernel/git/next/linux-next.gi...

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

36. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от szh (ok) on 07-Сен-10, 18:13 
> Интересно, а что будет собой представлять ветка 2.8 ?

Для индикации сильных изменений ядра используется 3-я циферка, а не вторая. 1-ая и 2-ая не используются уже давно и == const , так сложилось исторически.

> А обновления ветки 2.6 оно ухудшает или улучшает совместимость со старым железом?

Было бы крайне некошерно ухудшать совместимость, это был бы баг. P.S. No warranty.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

41. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:46 
>Было бы крайне некошерно ухудшать совместимость, это был бы баг. P.S. No
>warranty.

Есть одна поправка. Совсем древнее железо все-таки поддерживать перестают чтобы не заниматься майнтенансом кода который уже никому не нужен. Ну а любителям MFM кирпичей^W винчей и прочих ископаемых предметов антиквариата придется юзать системы столь же старые как и их оборудование.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

49. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от edo (ok) on 08-Сен-10, 15:36 
или как вариант - взяться за поддержку этого кода самим ;)
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

42. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от Аноним (??) on 07-Сен-10, 19:50 
>Если в новом ядре чего то не хватает на старое железо то как
>тогда в него "добывать" то что нужно и "подгонять"? )

Руками. Благо исходники есть. И если уж вас так угораздило что ваш антиквариат оказался столь редок на этой планете что уже никому кроме вас его поддержка не нужна - вам и карты в руки. С исходниками на руках вы даже можете потрепыхаться, если мозг не совсем атрофировался. Кстати в проприетарных системах в таком случае как правило ничего не остается кроме как отнести оборудование на свалку. Т.к. дрова были закрытые и скорее всего без исходников.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

46. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от pavlinux (ok) on 07-Сен-10, 21:29 
>  как тогда в него "добывать" то что нужно и "подгонять"? )

Ну если в двух словах, то затраты на поддержу старого железа
раз в десять превышают стоимость нового, т.е. Вашу зарплату. :)  

Есть исключения, типа мэинфреймов, кластеров, станков,
кофемолок, спутников, марсоходах... и прочий эмбэдедед,
там ОСь выкидывается вместе с железом.

  

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

48. "Запрашивает Миша Рыцаревъ"  +/
Сообщение от ы on 08-Сен-10, 14:20 
>  Интересно, а что будет собой представлять ветка 2.8 ? А
>то про планы на счет нее в последний раз я лишь
>весной видел и больше ничего нового в сети не нахожу.

Следующее 1 апреля будет только в следующем году.


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру